<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body >

 	<div class="row">
 	
		<div class="form-group" >
			<table class="table table-striped table-bordered compact">
				<thead>
					<tr>
						<th align="left">
							<button id="cmdUpload2" type="button" class="btn btn-info btn-md" data-toggle="modal" data-target="#mUpload">Cargar excel <i class="entypo-upload"></i> </button>
							
							<button id="cmdImprimir2" type="button" class="btn btn-info" name="Buscar">Imprimir</button>
							
						</th>
					</tr>
				</thead>	
			</table>
					
			<table id="tmante" class="table table-striped table-bordered" style="width:100%" >
				<thead>
					<tr>
						<th align="center">Item</th>
						<th align="left">Codigo</th>
						<th align="left">Denominacion</th>
						<th align="center">Unidad</th>
					</tr>
				</thead>
				
				<tbody id="bTable">
					<c:forEach items="${lista}" var="o" varStatus="i" >
						<tr>
							<td align="center">${o.secuencia}</td>			
							<td align="left">${o.codigo}</td>	
							<td align="left">${o.denominacion}</td>
							<td align="center">${o.unidad}</td>
						</tr>
					</c:forEach>
				</tbody>
			</table>
		</div>
	</div>
	
	<script>

		var baseURL=$('#contextPathHolder').attr('data-contextPath');

		$(document).ready(function() {
			 var table = $('#tmante').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        "lengthChange": false,
		        dom : 'Bfrtip',
		        buttons: [
					{extend: "excel", className: "buttonsToHide"}
					]
		    		});

			table.buttons('.buttonsToHide').nodes().addClass('hidden');
			table.buttons('.buttonsToHide').nodes().css("display", "none");
					
		});

		$("#cmdImprimir2").click(function(){
			window.open(baseURL+"/impresion-reporte", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
	    });	

		$("#cmdUpload2").click(function (event) {
			if(!valida()){
				cancelBubble(event);
			}
	    });
		function valida(){
			var txtFecha=$("#txtFecha").val();
			var txtDenominacion=$("#txtDenominacion").val();
			var selAlmacen=$("#selAlmacen").val();

			if(isEmpty(txtFecha)){
	  			alert('El campo Fecha de inventario es obligatorio!');
	  			$("#txtFecha").focus();
	  			$("#txtFecha").select();
	  			return false;
	  		}

	  		if(isEmpty(txtDenominacion)){
	  			alert('El campo Denominacion es obligatorio!');
	  			$("#txtDenominacion").focus();
	  			$("#txtDenominacion").select();
	  			return false;
	  		}
	  		
	  		if(selAlmacen=='00'){
	  			alert('El campo Almacen es obligatorio!');
	  			$("#selAlmacen").focus();
	  			$("#selAlmacen").select();
	  			return false;
	  		}
	  		return true;
		}

		function isInt(x) {
		   var y = parseInt(x, 10);
		   return !isNaN(y) && x == y && x.toString() == y.toString();
		}
		
		function isEmpty(str){
	        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
	    }
		
		function cancelBubble(e) {
			 var evt = e ? e:window.event;
			 if (evt.stopPropagation)    evt.stopPropagation();
			 if (evt.cancelBubble!=null) evt.cancelBubble = true;
		}
		
	</script>
	
</body>
</html>