<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="//fonts.googleapis.com/css?family=Noto+Sans:400,700,400italic">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_kardex.js?4" />"></script>
	
	<!-- Logica de presentacion : fin-->
	<style>
		.btn span.glyphicon {    			
			opacity: 0;				
		}
		.btn.active span.glyphicon {				
			opacity: 1;				
		}
	</style>
	
</head>
<body class="page-body">
	<div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.jsp">
								<img src="<c:url value="/resources/assets/images/logo_delfin.png"/>" height="87" alt="" />
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>${p_usuario.username}</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->
    
    <!-- collapsed -->
	<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
				
				<li class="has-sub">
					<a href="<c:url value="/"/>">
						<i class="entypo-newspaper"></i>
						<span class="title">Kardex</span>
					</a>
				</li>
				
			</ul>
			
		</div>

	</div>
	
		<div class="main-content">
			<div class="row">
				<div class="col-md-12">
				
					
					<div class="panel panel-success">
					  <div class="panel-heading">
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="form-group">
							    	<label class="control-label control-label-left col-sm-12" for="field25"><h4><b>REGISTRO DE INVENTARIO PERMANENTE VALORIZADO</b></h4></label>
							    </div>
							</div>
						</div>
					  </div>
					  
					  <div class="panel-body">	
					  	
					  	<div class="row">
							
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Fecha Desde:</label>
								    <div class="controls col-sm-9">
								    	<div class="input-group">
						                	 <input type="text" id="txtFechaIni" required="required" class="form-control datepicker" value="${fechaHoy}" data-format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>	
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3" >Fecha Hasta:</label>
								    <div class="controls col-sm-9">
								    	<div class="input-group">
						                	 <input type="text" id="txtFechaFin" required="required" class="form-control datepicker" value="${fechaHoy}" data-format="dd/mm/yyyy">
											<div class="input-group-addon">
												<a href="#"><i class="entypo-calendar"></i></a>
											</div>
										</div>	
					                </div>
								</div>	
							</div>
							
						</div>
						
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
								    <label class="control-label control-label-left col-sm-3" >Establecimiento:</label>
								    <div class="controls col-sm-9">
								    	<select id="selEstablecimiento" class="form-control" data-role="select" >
										    <c:forEach items="${lListaEstablecimiento}" var="o" varStatus="i" >
												<option value="${o.id}">${o.denominacion}</option>
											</c:forEach>
										</select>
					                </div>
								</div>
							</div>
							
							<div class="col-md-6">
								<div class="form-group">
									
								</div>	
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
								    <button type="button" id="cmdBuscar" class="btn btn-success" data-dismiss="modal">Procesar <i class="entypo-cog"></i></button>
								</div>
							</div>
						</div>
					</div>
				</div>	<!-- panel panel-default -->
				
			</div>
		</div>
		
		
		
		<div class="row">
				<div class="col-md-12">
					<div class="panel panel-info">
					  
					  <div class="panel-heading">
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="form-group">
							    	<label class="control-label control-label-left col-sm-12" for="field25"><h4><b>LISTA DE PROCESOS CULMINADOS</b></h4></label>
							    </div>
							</div>
						</div>
					  </div>
					  
					  <div class="panel-body">	
					  	
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
								    <button type="button" id="cmdActualizar" class="btn btn-info" data-dismiss="modal">Actualizar <i class="entypo-cw"></i></button>
								</div>
							</div>
						</div>
						
						<div class="row">
							<div class="col-md-12">
								<div class="form-group" >
									<div id="subViewDiv"></div> 
								</div>
							</div>	
						</div>
						
					</div>
				</div>	<!-- panel panel-default -->

			</div>
		</div>		
					
	</div>

	<!-- Modal -->
	<div id="myModalPago" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Registro diferencia</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroValidacion" >
	      		
					<!-- Efectivo -->
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<label class="control-label control-label-left col-sm-3" for="field24">Monto:</label>
								<div class="controls col-sm-9">
								
									<input type="number" id="ajustar" >
									
				            	</div>
							</div>
						</div>
					</div>
					
					
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      
	      	<input type="hidden" id="hIdProceso" >
	      
	      	<button type="button" id="cmdGuardar" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdClose" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	<!-- Modal : Inicio -->
	<div id="mDelEvento" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Eliminar kardex</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroServicio" >
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<input id="txtDenominacionDelete" disabled="disabled" required="required" type="text" size="100" maxlength="100" class="form-control k-textbox" data-role="text" style="text-transform: uppercase">
							</div>
						</div>
					</div>
					<div class="row">
		            	<div class="col-md-12">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-12" for="field24">Realmente desea eliminar el registro?</label>
							</div>
						</div>
					</div>
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      
	      	<input type="hidden" id="hIdDelete">
	      	<button type="button" id="cmdDelAceptar" class="btn btn-danger" data-dismiss="modal">Aceptar</button>
	        <button type="button" id="cmdDelClose" class="btn btn-default" data-dismiss="modal">Cancelar</button>
	      </div>
	    </div>
	
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<div class="modal fade" id="overlay">
	  <div class="modal-dialog">
	    <div class="modal-content">
	    
	      <div class="modal-body alert-info" style="align:center">
	        <p><strong>Actualizando...</strong></p>
	      </div>
	    </div>
	  </div>
	</div>
	
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	<script type="text/javascript">

		$( "#txtIdProveedor" ).on('focus', function(e) {
			var input = $(e.target),
		      datalist = input.attr('data-list');
			  if(input.val().length < 3) {
			      input.attr('list', '');
			  } else {
			      input.attr('list', datalist);
			  }
		});
	
		$('#txtIdProveedor').on('input', function(e) {
		  var input = $(e.target),
		      datalist = input.attr('data-list');
		  if(input.val().length < 3) {
		      input.attr('list', '');
		  } else {
		      input.attr('list', datalist);
		  }
		});
		
	</script>  	
	
</body>
</html>