package com.delfines.business;

import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

public class Util {
	
	public static java.sql.Date stringToDate(String date){
		java.sql.Date sqlDate=null; 
		try{
			SimpleDateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy"); 
	        sqlDate = new java.sql.Date(dateFormat.parse(date).getTime());	
		}catch(Exception e){
			e.printStackTrace();
		}
		return sqlDate;
	}
	
	public static String format(Double number){
		String value="0.00"; 
		try{
			NumberFormat nf = NumberFormat.getNumberInstance(new Locale("en", "US"));
			nf.setMaximumFractionDigits(2);
			nf.setMinimumFractionDigits(2);
		    value = nf.format(number);
		}catch(Exception e){
			e.printStackTrace();
		}
		return value;
	}

}
