<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body >

 	<div class="row">
 	
		<div class="form-group" >
		
			<table id="tmante" class="table table-striped table-bordered" style="width:100%" >
				<thead>
					<tr>
						<th colspan="11">LISTA DE PROCESOS</th>
					</tr>
					<tr>
						<th align="center">Item</th>
						<th align="left">Id Proceso</th>
						<th align="left">Establecimiento</th>
						<th align="center">Fecha Inicio</th>
						<th align="center">Fecha Fin</th>
						<th align="right">Cantidad Registros</th>
						<th align="right">Saldo Total</th>
						<th align="right">Ajuste</th>
						<th align="right">Saldo Ajustado</th>
						<th align="center">Fecha Generacion</th>
						<th align="center">Descargar Reporte</th>
					</tr>
				</thead>
				
				<tbody id="bTable">
					<c:forEach items="${lista}" var="o" varStatus="i" >
						<tr>
							<td align="center">${i.index}</td>			
							<td align="left">${o.idGttKardex}</td>	
													<td align="left">${o.establecimiento}</td>
													<td align="center">${o.fechaInicio}</td>
													<td align="center">${o.fechaFin}</td>
							<td align="right">${o.cantidad}</td>
													<td align="right" style="font-weight: bold;" >${o.sSumLastCstTotSldFin}</td>
							<td align="right">${o.sAjusteLastCstTotSldFin}</td>
							<td align="right" style="font-weight: bold;"><font color="red">${o.sLastCstTotSldFin}</font></td>
							<td align="center">${o.fechaRegistro}</td>
							
							<td align="center">
							
								<button type="button" class="btn btn-info btn-xs" onclick="editItem(${o.idGttKardex},${o.idKst})">
									<i class="entypo-download"></i> 
								</button>
								
								<button type="button" id="cmdDif" class="btn btn-success btn-xs" data-toggle="modal" onclick="setParameter(${o.idGttKardex})" data-target="#myModalPago" > 
									<i class="entypo-code"></i> 
								</button>
								
								<input type="hidden" id="hIdGttKardex${o.idGttKardex}" value="${o.idGttKardex}" >
								<input type="hidden" id="hDenominacion${o.idGttKardex}" value="${o.establecimiento} &nbsp &nbsp &nbsp ${o.fechaInicio}-${o.fechaFin} &nbsp &nbsp &nbsp ${o.sSumLastCstTotSldFin}" >
								
								
								<button type="button" id="cmdDif" class="btn btn-danger btn-xs" data-toggle="modal" onclick="confirmDelete(${o.idGttKardex})" data-target="#mDelEvento" > 
									<i class="entypo-cancel"></i> 
								</button>
								
							</td>
							
						</tr>
					</c:forEach>
				</tbody>
				
				
			</table>
		</div>
	</div>
	
	<script>

		var baseURL=$('#contextPathHolder').attr('data-contextPath');

		function setParameter(idProceso){
			$("#hIdProceso").val(idProceso);
		}
		
		function editItem(id,idKst){
			$.ajax({
				url : baseURL + "/parameter-kardex",
				data : {
					idKardex:id,
					idKst:idKst
				},
				async:false,
				type : "get",
				success : function(response) {
				}
			});

			window.open(baseURL+"/impresion-kardex", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
		}
	
		$(document).ready(function() {
			 var table = $('#tmante').DataTable( {
		    	"scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        "lengthChange": false,
		        dom : 'Bfrtip',
				buttons : [{extend:'excel',title:'REGISTRO DE INVENTARIO PERMANENTE VALORIZADO'}]
		    		});
		});

		function confirmDelete(index){
			if(index>=0){
				var hIdGttKardex=document.getElementById('hIdGttKardex'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
				$("#hIdDelete").val(hIdGttKardex.value);
	        	$("#txtDenominacionDelete").val(hDenominacion.value);
			}
		}
		
	</script>
	
</body>
</html>
