package com.delfines.spring.controller;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.delfines.business.InventarioDatcorpBo;
import com.delfines.business.ReporteKardexBo;
import com.delfines.vo.Value;

@Controller
public class InitController {
   
   @RequestMapping(path={"/"},method=RequestMethod.GET)
   public String inicio(Model model,HttpServletRequest request) {
	   try{
		   ReporteKardexBo bo=new ReporteKardexBo();
		   
		   String fechaHoy=bo.getDate();
		   model.addAttribute("fechaHoy", fechaHoy);
		   
		   List<Value> lListaEstablecimiento=bo.listarEstablecimiento();
		   model.addAttribute("lListaEstablecimiento", lListaEstablecimiento);
		   
	   }catch(Exception e){
		   e.printStackTrace();
	   }
       return "kardex";
   }
 
   //datcorp
   @RequestMapping(path={"/datcorp"},method=RequestMethod.GET)
   public String datcorp(Model model,HttpServletRequest request) {
	   try{
		   InventarioDatcorpBo bo=new InventarioDatcorpBo(); 
		   List<Value> lAlmacen=bo.listarAlmacen();
		   model.addAttribute("lAlmacen", lAlmacen);
	   }catch(Exception e){
		   e.printStackTrace();
	   }
       return "datcorp";
   }
   
}
